﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using MahApps.Metro.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : MetroWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = Data();
        }

        private ObservableCollection<ViewModelA> Data()
        {
            var list = new ObservableCollection<ViewModelA>();
            for (int i = 0; i <= 10; i++)
            {
                var a = new ViewModelA();
                a.Title = i.ToString();
                for (int j = 0; j <= 10; j++)
                {
                    a.ViewModelBs.Add(new ViewModelB(){Title = j.ToString()});
                }
                list.Add(a);
            }
            return list;
        }

        private void DataRecordPresenter_Loaded(object sender, RoutedEventArgs e)
        {
            if ((sender as DataRecordPresenter).IsHeaderRecord)
            {
                (Utilities.GetDescendantFromName(sender as DependencyObject,"fill") as Border).BorderThickness = new Thickness(1);
                var bc = new BrushConverter();
                (Utilities.GetDescendantFromName(sender as DependencyObject,"fill") as Border).BorderBrush = (System.Windows.Media.Brush)bc.ConvertFrom("#FFB9B9B9");
            }
        }
    }

    public class ViewModelA
    {
        public string Title { get; set; }
        public ObservableCollection<ViewModelB> ViewModelBs { get; set; }

        public ViewModelA()
        {
            ViewModelBs = new ObservableCollection<ViewModelB>();
        }
    }

    public class ViewModelB
    {
        public string Title { get; set; }
    }
}
